Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy
Interface LazyInitializer

All Known Implementing Classes:
  AbstractLazyInitializer, BasicLazyInitializer, CGLIBLazyInitializer, Dom4jLazyInitializer, JavassistLazyInitializer, MapLazyInitializer

    public interface LazyInitializer

Handles fetching of the underlying entity for a proxy

Author:
  Gavin King

Method Summary
`String` | `getEntityName()` Get the entity name
`Serializable` | `getIdentifier()` Get the identifier held by the proxy
`Object` | `getImplementation()` Return the underlying persistent object, initializing if necessary
`Object` | `getImplementation(SessionImplementor s)` Return the underlying persistent object in the given `Session`, or null
`Class` | `getPersistentClass()` Get the actual class of the entity (don't use this, use the entityName)
`SessionImplementor` | `getSession()` Get the session, if this proxy is attached
`void` | `initialize()` Initialize the proxy, fetching the target entity if necessary
`boolean` | `isUninitialized()` Is the proxy uninitialzed?
`boolean` | `isUnwrap()`
`void` | `setIdentifier(Serializable id)` Set the identifier property of the proxy
`void` | `setImplementation(Object target)` Initialize the proxy manually
`void` | `setSession(SessionImplementor s)` Attach the proxy to a session
`void` | `setUnwrap(boolean unwrap)`

Method Detail

### initialize

    void initialize()
                    throws HibernateException

  Initialize the proxy, fetching the target entity if necessary

  Throws:
    `HibernateException`

### getIdentifier

    Serializable getIdentifier()

  Get the identifier held by the proxy

### setIdentifier

    void setIdentifier(Serializable id)

  Set the identifier property of the proxy

### getEntityName

    String getEntityName()

  Get the entity name

### getPersistentClass

    Class getPersistentClass()

  Get the actual class of the entity (don't use this, use the entityName)

### isUninitialized

    boolean isUninitialized()

  Is the proxy uninitialzed?

### setImplementation

    void setImplementation(Object target)

  Initialize the proxy manually

### getSession

    SessionImplementor getSession()

  Get the session, if this proxy is attached

### setSession

    void setSession(SessionImplementor s)
                    throws HibernateException

  Attach the proxy to a session

  Throws:
    `HibernateException`

### getImplementation

    Object getImplementation()

  Return the underlying persistent object, initializing if necessary

### getImplementation

    Object getImplementation(SessionImplementor s)
                             throws HibernateException

  Return the underlying persistent object in the given `Session`, or null

  Throws:
    `HibernateException`

### setUnwrap

    void setUnwrap(boolean unwrap)

### isUnwrap

    boolean isUnwrap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD